Bug 823029 - basic c:group support for BaseComponent and AS7 plugin is not currently working
basic c:group support for BaseComponent and AS7 plugin is not currently working
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: JON 3.1.0
Assigned To: Simeon Pinder
Mike Foley
:
Depends On: 818952
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-05-18 16:16 EDT by Simeon Pinder
Modified: 2013-09-03 11:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 818952
Environment:
Last Closed: 2013-09-03 11:08:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simeon Pinder 2012-05-18 16:16:55 EDT
+++ This bug was initially created as a clone of Bug #818952 +++

Description of problem:
Within the AS7 plugin descriptor if you group arbitrary elements using <c:group> tags not requiring special handling then the ConfigurationFacet.loadConfiguration and ConfigurationFacet.updateConfiguration mechanisms do not work properly. The UI will display the grouped elements correctly however.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Modify the plugin to use <c:group without using AS7 special handling of c:groups and rebuild/redeploy the plugin.
2. To test with Modcluster, run EAP ER6 with one of the -ha profiles and navigate to the Configuration tab.

  
Actual results:
The components will be correctly organized/grouped but not set correctly.

Expected results:
The components should be correctly organized/grouped and set/updated correctly.

Additional info:

--- Additional comment from spinder@redhat.com on 2012-05-04 13:39:55 EDT ---

Created attachment 582171 [details]
patch for edit/load c:group support.

--- Additional comment from spinder@redhat.com on 2012-05-07 09:29:09 EDT ---

Setting NeedInfo on heiko so he can review the patch to see if I nicked anything.

--- Additional comment from mfoley@redhat.com on 2012-05-08 15:33:30 EDT ---

per BZ triage ... crouch, loleary, foley

--- Additional comment from hrupp@redhat.com on 2012-05-08 16:01:15 EDT ---

Simeon, can you please also add tests for this (ConfigLoadTest, ConfigUpdateTest)?

--- Additional comment from spinder@redhat.com on 2012-05-11 16:06:27 EDT ---

Created attachment 583917 [details]
itests for c:group checking.

--- Additional comment from spinder@redhat.com on 2012-05-11 16:08:16 EDT ---

Heiko, I've added tests for the ConfigLoad and ConfigUpdate.  Can you review the patches so that I can check these into master?

Setting NeedInfo on heiko but leaving this on_dev.

--- Additional comment from hrupp@redhat.com on 2012-05-15 15:17:25 EDT ---

Go ahead

--- Additional comment from spinder@redhat.com on 2012-05-18 16:15:24 EDT ---

Committed to master: 
edc0315a43f
71442395543

Moving this to ON_QA.
Comment 1 Simeon Pinder 2012-05-18 16:44:39 EDT
Committed to release branch: 6625a909eb954

Moving this to ON_QA.
Comment 2 Armine Hovsepyan 2012-07-30 11:19:55 EDT
verified!

Thank you Simon.
Comment 3 Heiko W. Rupp 2013-09-03 11:08:43 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.